Get NEPT token params
GET/api/v1/nept/params
Get NEPT token params
Query Parameters
Get NEPT token params
curl https://api-v2.nept.finance/api/v1/nept/params{
"data": {
"asset_info": {
"asset": {
"id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
"group": "native",
"group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
},
"metadata": {
"name": "Neptune Token",
"symbol": "NEPT",
"symbol_denom": "nept",
"decimals_denom": 6,
"decimals_display": 5
},
"classification": {
"kind": "regular",
"neptune_receipt_asset": null
}
},
"emission_rate": "1000000000000",
"tokens_per_weight": 1000,
"staking_pools": [
{
"index": 0,
"duration": 604800,
"extra": {
"text": {
"duration": "7 days",
"index": "1"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
},
{
"index": 1,
"duration": 2592000,
"extra": {
"text": {
"duration": "30 days",
"index": "2"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
},
{
"index": 2,
"duration": 7776000,
"extra": {
"text": {
"duration": "90 days",
"index": "3"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
}
],
"extra": {
"text": {
"emission_rate": "1,000,000.00000 NEPT"
},
"value": {
"price": "0.032585758453916404",
"emission_rate": "32585.758453916404",
"extra": {
"text": {
"emission_rate": "$32,585.75",
"price": "$0.03"
}
}
}
}
},
"error": null,
"status": 200,
"status_text": "200 OK"
}{
"data": null,
"error": {
"kind": "internal",
"scope": "server",
"message": "An unexpected error occurred"
},
"status": 500,
"status_text": "500 Internal Server Error"
}Returns Examples
{
"data": {
"asset_info": {
"asset": {
"id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
"group": "native",
"group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
},
"metadata": {
"name": "Neptune Token",
"symbol": "NEPT",
"symbol_denom": "nept",
"decimals_denom": 6,
"decimals_display": 5
},
"classification": {
"kind": "regular",
"neptune_receipt_asset": null
}
},
"emission_rate": "1000000000000",
"tokens_per_weight": 1000,
"staking_pools": [
{
"index": 0,
"duration": 604800,
"extra": {
"text": {
"duration": "7 days",
"index": "1"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
},
{
"index": 1,
"duration": 2592000,
"extra": {
"text": {
"duration": "30 days",
"index": "2"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
},
{
"index": 2,
"duration": 7776000,
"extra": {
"text": {
"duration": "90 days",
"index": "3"
}
},
"params": {
"reward_weight": "2",
"gov_weight": "2",
"health_weight": "1",
"flash_loan_weight": "0"
}
}
],
"extra": {
"text": {
"emission_rate": "1,000,000.00000 NEPT"
},
"value": {
"price": "0.032585758453916404",
"emission_rate": "32585.758453916404",
"extra": {
"text": {
"emission_rate": "$32,585.75",
"price": "$0.03"
}
}
}
}
},
"error": null,
"status": 200,
"status_text": "200 OK"
}{
"data": null,
"error": {
"kind": "internal",
"scope": "server",
"message": "An unexpected error occurred"
},
"status": 500,
"status_text": "500 Internal Server Error"
}